Add an issue note
curl --request POST \
--url https://api.reconifyhq.com/v2/issues/{issue_id}/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "Confirmed that the provider callback arrived late."
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify('Confirmed that the provider callback arrived late.')})
};
fetch('https://api.reconifyhq.com/v2/issues/{issue_id}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.reconifyhq.com/v2/issues/{issue_id}/notes"
payload = { "body": "Confirmed that the provider callback arrived late." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"body": "Confirmed that the provider callback arrived late.",
"created_at": "2026-01-01T12:00:00Z",
"id": "00000000-0000-7000-8000-000000000003"
}{
"code": "invalid_input",
"message": "request is invalid"
}{
"code": "unauthorized",
"message": "authentication required"
}{
"code": "forbidden",
"message": "credential cannot access this organization"
}{
"code": "not_found",
"message": "resource not found"
}{
"code": "idempotency_conflict",
"message": "Idempotency-Key was already used for a different request"
}{
"code": "database_unavailable",
"message": "public API data is unavailable"
}Add an issue note
Adds an append-only investigation note to an issue. Repeat a request with the same Idempotency-Key to replay the original note.
POST
https://api.reconifyhq.com
/
v2
/
issues
/
{issue_id}
/
notes
Add an issue note
curl --request POST \
--url https://api.reconifyhq.com/v2/issues/{issue_id}/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "Confirmed that the provider callback arrived late."
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify('Confirmed that the provider callback arrived late.')})
};
fetch('https://api.reconifyhq.com/v2/issues/{issue_id}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.reconifyhq.com/v2/issues/{issue_id}/notes"
payload = { "body": "Confirmed that the provider callback arrived late." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"body": "Confirmed that the provider callback arrived late.",
"created_at": "2026-01-01T12:00:00Z",
"id": "00000000-0000-7000-8000-000000000003"
}{
"code": "invalid_input",
"message": "request is invalid"
}{
"code": "unauthorized",
"message": "authentication required"
}{
"code": "forbidden",
"message": "credential cannot access this organization"
}{
"code": "not_found",
"message": "resource not found"
}{
"code": "idempotency_conflict",
"message": "Idempotency-Key was already used for a different request"
}{
"code": "database_unavailable",
"message": "public API data is unavailable"
}Authorizations
Organization API key. Use a write-scoped key for event ingestion.
Headers
Optional key for safe retries. The same key must represent the same issue and note body.
Required string length:
1 - 255Path Parameters
Issue identifier.
Body
application/json
Append-only investigation note.
Required string length:
1 - 10000